BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.IO.TextReader

Implements a that reads from a string.

To be added.
- Constructor
  The to be initialized to.

  Constructs and initializes a new instance of the class that reads from the specified string.

  To be added.
  is .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void

  Closes the .

  Following a call to , other methods on the current instance will throw an exception.

  This version of is equivalent to ().

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` to release both managed and unmanaged resources; to release only unmanaged resources.

  Releases system resources used by the current instance.

  When the parameter is , this method releases all resources held by any managed objects that this references. This method invokes the method of each referenced object.

  can be called multiple times by other objects. When overriding (), be careful not to reference objects that have been previously disposed in an earlier call to .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32

  Returns the next available character but does not advance the reader's position in the underlying string.

  The next character to be read as a , or -1 if no more characters are available.

  The current position of the is not changed by this operation.

  This method returns -1 is when the end of the underlying string is reached because a Unicode character can contain only values between hexadecimal 0x0000 to 0xFFFF (0 to 65535).

  This method overrides .

  The current reader is closed. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32

  Reads the next character from the input string and advances the character position by one character.

  The next character from the underlying string as a , or -1 if no more characters are available.

  This method returns -1 is when the end of the underlying string is reached because a Unicode character can contain only values between hexadecimal 0x0000 to 0xFFFF (0 to 65535).

  This method overrides .

  The current reader is closed. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` `` A array. When this method returns, contains the specified character array with the values between and replaced by the characters read from the current source. A that specifies the starting index in the buffer. A that specifies the number of characters to read.

  Reads a block of characters from the input string.

  A containing the total number of characters read into the buffer, or zero if the end of the underlying string has been reached.

  This method overrides .

  is . ( + ) > Length.

  < 0

  or-

  < 0.

  The current reader is closed. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String

  Reads a line from the underlying string.

  A containing the next line from the underlying string, or if the end of the underlying string is reached.

  A line is defined as a sequence of characters followed by a carriage return (0x000d), a line feed (0x000a), or a carriage return immediately followed by a line feed. The resulting string does not contain the terminating character(s).

  This method overrides .

  The current reader is closed. There is insufficient memory to allocate a buffer for the returned string. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String

  Returns the underlying string from the current position to the end.

  A containing the content from the current position to the end of the underlying string.

  This method overrides .

  The current reader is closed. There is insufficient memory to allocate a buffer for the returned string. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)